
using System;

namespace Server.Items
{
[Furniture]
	[Flipable(0x2DE7,0x2DE8)]
	public class FancyElvenTable : BaseFurniture
	{
		[Constructable]
		public FancyElvenTable() : base(0x2DE7)
		{
			Weight = 0.0;
		}

		public FancyElvenTable(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( Weight == 4.0 )
				Weight = 1.0;
		}
	}
}

